Debian Bug report logs - #330343
liferea: background colour of notification area icon

version graph

Package: gnome-panel; Maintainer for gnome-panel is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for gnome-panel is src:gnome-panel.

Reported by: Stuart Rowan <debian-bugs@strr.org>

Date: Tue, 27 Sep 2005 16:48:07 UTC

Severity: minor

Tags: fixed-upstream

Fixed in version 2.16.2-1

Done: Loïc Minier <lool@dooz.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=100600

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, David Moreno Garza <damog@debian.org>:
Bug#330343; Package liferea. Full text and rfc822 format available.

Acknowledgement sent to Stuart Rowan <debian-bugs@strr.org>:
New Bug report received and forwarded. Copy sent to David Moreno Garza <damog@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stuart Rowan <debian-bugs@strr.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: liferea: background colour of notification area icon
Date: Tue, 27 Sep 2005 17:43:23 +0100
Package: liferea
Version: 0.9.7b-1
Severity: minor

Hi,

The notification area icon (a little globe) is cool and useful. However the
rest of it's 'space' in the area is made of a white rectangle (around the
globe), other icons inherit the colour of the panel behind instead --
currently a light grey for me. I'll follow up the bug with a little screen
shot attachment to make the problem clear.

Thanks,
Stu.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.13.1
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_GB.UTF-8)

Versions of packages liferea depends on:
ii  dbus-1                    0.23.4-6       simple interprocess messaging syst
ii  dbus-glib-1               0.23.4-6       simple interprocess messaging syst
ii  libatk1.0-0               1.10.3-1       The ATK accessibility toolkit
ii  libc6                     2.3.5-6        GNU C Library: Shared libraries an
ii  libgconf2-4               2.10.1-6       GNOME configuration database syste
ii  libglib2.0-0              2.8.1-1        The GLib library of C routines
ii  libgtk2.0-0               2.6.10-1       The GTK+ graphical user interface 
ii  libice6                   6.8.2.dfsg.1-7 Inter-Client Exchange library
ii  liborbit2                 1:2.12.2-3     libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0             1.8.2-2        Layout and rendering of internatio
ii  libsm6                    6.8.2.dfsg.1-7 X Window System Session Management
ii  libx11-6                  6.8.2.dfsg.1-7 X Window System protocol client li
ii  libxml2                   2.6.22-1       GNOME XML library
ii  liferea-gtkhtml           0.9.7b-1       gtkhtml-based rendering library fo
ii  xlibs                     6.8.2.dfsg.1-7 X Window System client libraries m
ii  zlib1g                    1:1.2.3-4      compression library - runtime

liferea recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, David Moreno Garza <damog@debian.org>:
Bug#330343; Package liferea. Full text and rfc822 format available.

Acknowledgement sent to Stuart Rowan <stuart.rowan@strr.org>:
Extra info received and forwarded to list. Copy sent to David Moreno Garza <damog@debian.org>. Full text and rfc822 format available.

Message #10 received at 330343@bugs.debian.org (full text, mbox):

From: Stuart Rowan <stuart.rowan@strr.org>
To: 330343@bugs.debian.org
Subject: screenshot as promised
Date: Tue, 27 Sep 2005 17:57:58 +0100
[Message part 1 (text/plain, inline)]

[liferea-white.png (image/png, attachment)]

Reply sent to David Moreno Garza <damog@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Stuart Rowan <debian-bugs@strr.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 330343-close@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@debian.org>
To: 330343-close@bugs.debian.org
Subject: Bug#330343: fixed in liferea 0.9.7b+test1.0rc4-1
Date: Mon, 28 Nov 2005 16:47:07 -0800
Source: liferea
Source-Version: 0.9.7b+test1.0rc4-1

We believe that the bug you reported is fixed in the latest version of
liferea, which is due to be installed in the Debian FTP archive:

liferea-gtkhtml_0.9.7b+test1.0rc4-1_i386.deb
  to pool/main/l/liferea/liferea-gtkhtml_0.9.7b+test1.0rc4-1_i386.deb
liferea-mozilla_0.9.7b+test1.0rc4-1_i386.deb
  to pool/main/l/liferea/liferea-mozilla_0.9.7b+test1.0rc4-1_i386.deb
liferea_0.9.7b+test1.0rc4-1.diff.gz
  to pool/main/l/liferea/liferea_0.9.7b+test1.0rc4-1.diff.gz
liferea_0.9.7b+test1.0rc4-1.dsc
  to pool/main/l/liferea/liferea_0.9.7b+test1.0rc4-1.dsc
liferea_0.9.7b+test1.0rc4-1_i386.deb
  to pool/main/l/liferea/liferea_0.9.7b+test1.0rc4-1_i386.deb
liferea_0.9.7b+test1.0rc4.orig.tar.gz
  to pool/main/l/liferea/liferea_0.9.7b+test1.0rc4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 330343@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Moreno Garza <damog@debian.org> (supplier of updated liferea package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 28 Nov 2005 15:58:06 -0600
Source: liferea
Binary: liferea-mozilla liferea-gtkhtml liferea
Architecture: source i386
Version: 0.9.7b+test1.0rc4-1
Distribution: unstable
Urgency: low
Maintainer: David Moreno Garza <damog@debian.org>
Changed-By: David Moreno Garza <damog@debian.org>
Description: 
 liferea    - feed aggregator for GNOME
 liferea-gtkhtml - gtkhtml-based rendering library for Liferea
 liferea-mozilla - mozilla-based rendering library for Liferea
Closes: 301062 313329 320971 323442 326156 330343 330344 332669 333103
Changes: 
 liferea (0.9.7b+test1.0rc4-1) unstable; urgency=low
 .
   * New upstream release (Closes: #301062).
   * Making dbus to communicate with liferea properly.
   	- Closes: #313329, #320971, #332669.
   * Added run dependency on dbus-1-utils.
   * Making dbus-glib a reality on unstable.
   	- Closes: #333103.
   * NET_TIMEOUT is now running properly.
   	- Closes: #323442.
   * Mozilla backend now load links properly.
   	- Closes: #326156.
   * Maximization is working since experimental.
   	- Closes: #330344.
   * Tray icon background is transparent.
   	- Closes: #330343.
Files: 
 b4a0c54669df12c00030a1f4689e4cbd 721 gnome optional liferea_0.9.7b+test1.0rc4-1.dsc
 593df5a7743b3ec8925a68605bef22da 1453446 gnome optional liferea_0.9.7b+test1.0rc4.orig.tar.gz
 bd23940ee07493cbd902b176d98bb04c 6791 gnome optional liferea_0.9.7b+test1.0rc4-1.diff.gz
 6cbeec5f8861981eb95bb96490666bfa 678166 gnome optional liferea_0.9.7b+test1.0rc4-1_i386.deb
 86aa22c12ff4c889b7c9b832264e8c7c 20490 gnome optional liferea-gtkhtml_0.9.7b+test1.0rc4-1_i386.deb
 88cbc6df99cba0beebf4237704ff8ef1 21154 gnome optional liferea-mozilla_0.9.7b+test1.0rc4-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDi6J4mBxf18ZxJX0RArH3AKCJpkGMVC0AO3Aql++B7hbtaSS+uQCffHuW
TcK4b5qmFUvQG0EuCUDh7Eo=
=jK6A
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, David Moreno Garza <damog@debian.org>:
Bug#330343; Package liferea. Full text and rfc822 format available.

Acknowledgement sent to Stuart Rowan <debian-bugs@strr.org>:
Extra info received and forwarded to list. Copy sent to David Moreno Garza <damog@debian.org>. Full text and rfc822 format available.

Message #20 received at 330343@bugs.debian.org (full text, mbox):

From: Stuart Rowan <debian-bugs@strr.org>
To: Debian Bug Tracking System <330343@bugs.debian.org>
Subject: liferea: bug still present
Date: Fri, 16 Dec 2005 09:33:23 +0000
Package: liferea
Version: 0.9.7b+test1.0rc4-1
Followup-For: Bug #330343

Bug still present in this version of liferea.

Stu.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.14.3
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_GB.UTF-8)

Versions of packages liferea depends on:
ii  dbus-1               0.23.4-8            simple interprocess messaging syst
ii  dbus-1-utils         0.23.4-8            simple interprocess messaging syst
ii  dbus-glib-1          0.23.4-8            simple interprocess messaging syst
ii  libatk1.0-0          1.10.3-1            The ATK accessibility toolkit
ii  libc6                2.3.5-8.1           GNU C Library: Shared libraries an
ii  libgconf2-4          2.10.1-6            GNOME configuration database syste
ii  libglib2.0-0         2.8.4-2             The GLib library of C routines
ii  libgtk2.0-0          2.8.9-2             The GTK+ graphical user interface 
ii  libice6              6.8.2.dfsg.1-11     Inter-Client Exchange library
ii  liborbit2            1:2.12.4-1          libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0        1.10.1-2            Layout and rendering of internatio
ii  libsm6               6.8.2.dfsg.1-11     X Window System Session Management
ii  libx11-6             6.8.2.dfsg.1-11     X Window System protocol client li
ii  libxml2              2.6.22-2            GNOME XML library
ii  liferea-gtkhtml      0.9.7b+test1.0rc4-1 gtkhtml-based rendering library fo
ii  liferea-mozilla      0.9.7b+test1.0rc4-1 mozilla-based rendering library fo
ii  xlibs                6.8.2.dfsg.1-11     X Window System client libraries m
ii  zlib1g               1:1.2.3-8           compression library - runtime

liferea recommends no packages.

-- no debconf information




Bug reopened, originator not changed. Request was from "Stuart T. R. Rowan" <debian-bugs@strr.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, David Moreno Garza <damog@debian.org>:
Bug#330343; Package liferea. Full text and rfc822 format available.

Acknowledgement sent to Stuart Rowan <debian-bugs@strr.org>:
Extra info received and forwarded to list. Copy sent to David Moreno Garza <damog@debian.org>. Full text and rfc822 format available.

Message #27 received at 330343@bugs.debian.org (full text, mbox):

From: Stuart Rowan <debian-bugs@strr.org>
To: Debian Bug Tracking System <330343@bugs.debian.org>
Subject: liferea: 1.0 still has this
Date: Thu, 29 Dec 2005 22:36:23 +0000
Package: liferea
Version: 1.0-1
Followup-For: Bug #330343

It still has this obnoxious white rectangle around it....have i just missed
the point and the white rectangle is intentional?

All the best for the New Year,
Stu.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.14.3
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_GB.UTF-8)

Versions of packages liferea depends on:
ii  dbus-1                   0.23.4-8        simple interprocess messaging syst
ii  dbus-1-utils             0.23.4-8        simple interprocess messaging syst
ii  dbus-glib-1              0.23.4-8        simple interprocess messaging syst
ii  gconf2                   2.10.1-6        GNOME configuration database syste
ii  libatk1.0-0              1.10.3-1        The ATK accessibility toolkit
ii  libc6                    2.3.5-9         GNU C Library: Shared libraries an
ii  libcairo2                1.0.2-3         The Cairo 2D vector graphics libra
ii  libfontconfig1           2.3.2-1.1       generic font configuration library
ii  libgconf2-4              2.10.1-6        GNOME configuration database syste
ii  libglib2.0-0             2.8.4-2         The GLib library of C routines
ii  libgtk2.0-0              2.8.9-2         The GTK+ graphical user interface 
ii  libice6                  6.8.2.dfsg.1-11 Inter-Client Exchange library
ii  liborbit2                1:2.12.4-1      libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0            1.10.1-2        Layout and rendering of internatio
ii  libsm6                   6.8.2.dfsg.1-11 X Window System Session Management
ii  libx11-6                 6.8.2.dfsg.1-11 X Window System protocol client li
ii  libxcursor1              1.1.3-1         X cursor management library
ii  libxext6                 6.8.2.dfsg.1-11 X Window System miscellaneous exte
ii  libxi6                   6.8.2.dfsg.1-11 X Window System Input extension li
ii  libxinerama1             6.8.2.dfsg.1-11 X Window System multi-head display
ii  libxml2                  2.6.22-2        GNOME XML library
ii  libxrandr2               6.8.2.dfsg.1-11 X Window System Resize, Rotate and
ii  libxrender1              1:0.9.0-2       X Rendering Extension client libra
ii  liferea-gtkhtml          1.0-1           gtkhtml-based rendering library fo
ii  liferea-mozilla          1.0-1           mozilla-based rendering library fo
ii  zlib1g                   1:1.2.3-9       compression library - runtime

liferea recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, David Moreno Garza <damog@debian.org>:
Bug#330343; Package liferea. Full text and rfc822 format available.

Acknowledgement sent to David Moreno Garza <damog@damog.net>:
Extra info received and forwarded to list. Copy sent to David Moreno Garza <damog@debian.org>. Full text and rfc822 format available.

Message #32 received at 330343@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@damog.net>
To: Stuart Rowan <debian-bugs@strr.org>, 330343@bugs.debian.org
Subject: Re: Bug#330343: liferea: 1.0 still has this
Date: Thu, 29 Dec 2005 18:25:57 -0600
On 22:36 Thu 29 Dec 2005, Stuart Rowan wrote:
> Package: liferea
> Version: 1.0-1
> Followup-For: Bug #330343
> 
> It still has this obnoxious white rectangle around it....have i just missed
> the point and the white rectangle is intentional?

To be honest, I've not been able to make proper research on this, since
I couldn't reproduce it on GNOME or KDE. What desktop environment or
window manager are you using?

> All the best for the New Year,

Ditto.

-- 
David Moreno Garza <damog@damog.net>   |  http://www.damog.net/
		   <damog@debian.org>  |          GPG: C671257D
 Yo sólo sé que no he cenado.




Information forwarded to debian-bugs-dist@lists.debian.org, David Moreno Garza <damog@debian.org>:
Bug#330343; Package liferea. Full text and rfc822 format available.

Acknowledgement sent to debian-bugs@strr.org:
Extra info received and forwarded to list. Copy sent to David Moreno Garza <damog@debian.org>. Full text and rfc822 format available.

Message #37 received at 330343@bugs.debian.org (full text, mbox):

From: "Stuart T. R. Rowan" <debian-bugs@strr.org>
To: 330343@bugs.debian.org
Subject: Re: Bug#330343: liferea: 1.0 still has this
Date: Fri, 30 Dec 2005 10:10:16 +0000
[Message part 1 (text/plain, inline)]
I am using Gnome from unstable and openbox as the window manager instead
of metacity.

New partial screenshot attached.

Thanks,
Stu.

On Thu, 2005-12-29 at 18:25 -0600, David Moreno Garza wrote:
> On 22:36 Thu 29 Dec 2005, Stuart Rowan wrote:
> > Package: liferea
> > Version: 1.0-1
> > Followup-For: Bug #330343
> > 
> > It still has this obnoxious white rectangle around it....have i just missed
> > the point and the white rectangle is intentional?
> 
> To be honest, I've not been able to make proper research on this, since
> I couldn't reproduce it on GNOME or KDE. What desktop environment or
> window manager are you using?
> 
> > All the best for the New Year,
> 
> Ditto.

[liferea-white-1.0.png (image/png, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Moreno Garza <damog@debian.org>:
Bug#330343; Package liferea. Full text and rfc822 format available.

Acknowledgement sent to conrad@bungled.net (Nathan Conrad):
Extra info received and forwarded to list. Copy sent to David Moreno Garza <damog@debian.org>. Full text and rfc822 format available.

Message #42 received at 330343@bugs.debian.org (full text, mbox):

From: conrad@bungled.net (Nathan Conrad)
To: debian-bugs@strr.org, 330343@bugs.debian.org
Subject: Re: Bug#330343: liferea: 1.0 still has this
Date: Fri, 30 Dec 2005 10:51:12 -0500
I think that this is a GTK+ problem. See:

http://bugzilla.gnome.org/show_bug.cgi?id=100600

-Nathan

On Fri, Dec 30, 2005 at 10:10:16AM +0000, Stuart T. R. Rowan wrote:
> I am using Gnome from unstable and openbox as the window manager instead
> of metacity.
> 
> New partial screenshot attached.
> 
> Thanks,
> Stu.
> 
> On Thu, 2005-12-29 at 18:25 -0600, David Moreno Garza wrote:
> > On 22:36 Thu 29 Dec 2005, Stuart Rowan wrote:
> > > Package: liferea
> > > Version: 1.0-1
> > > Followup-For: Bug #330343
> > > 
> > > It still has this obnoxious white rectangle around it....have i just missed
> > > the point and the white rectangle is intentional?
> > 
> > To be honest, I've not been able to make proper research on this, since
> > I couldn't reproduce it on GNOME or KDE. What desktop environment or
> > window manager are you using?
> > 
> > > All the best for the New Year,
> > 
> > Ditto.
> 





Information forwarded to debian-bugs-dist@lists.debian.org, David Moreno Garza <damog@debian.org>:
Bug#330343; Package liferea. Full text and rfc822 format available.

Acknowledgement sent to David Moreno Garza <damog@damog.net>:
Extra info received and forwarded to list. Copy sent to David Moreno Garza <damog@debian.org>. Full text and rfc822 format available.

Message #47 received at 330343@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@damog.net>
To: Nathan Conrad <conrad@bungled.net>, 330343@bugs.debian.org
Cc: debian-bugs@strr.org
Subject: Re: Bug#330343: liferea: 1.0 still has this
Date: Fri, 30 Dec 2005 13:02:04 -0600
reassign 330343 gnome-panel
thanks

On 10:51 Fri 30 Dec 2005, Nathan Conrad wrote:
> I think that this is a GTK+ problem. See:
> 
> http://bugzilla.gnome.org/show_bug.cgi?id=100600

> > I am using Gnome from unstable and openbox as the window manager instead
> > of metacity.

Thanks Nathan, reassigning now the bug to gnome-panel.

Isn't it great to have upstream suscribed to PTS? :)

-- 
David Moreno Garza <damog@damog.net>   |  http://www.damog.net/
		   <damog@debian.org>  |          GPG: C671257D
 Voy camino al infierno y no lo puedo parar.




Bug reassigned from package `liferea' to `gnome-panel'. Request was from damog@cerdita.damog.net (David Moreno Garza) to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=100600. Request was from Sven Arvidsson <sa@whiz.se> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Loïc Minier <lool@dooz.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Stuart Rowan <debian-bugs@strr.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #58 received at 330343-done@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Stuart Rowan <debian-bugs@strr.org>, 330343-done@bugs.debian.org
Subject: Re: Bug#330343: liferea: background colour of notification area icon
Date: Mon, 28 May 2007 16:43:05 +0200
Version: 2.16.2-1

        Hi,

On Tue, Sep 27, 2005, Stuart Rowan wrote:
> The notification area icon (a little globe) is cool and useful. However the
> rest of it's 'space' in the area is made of a white rectangle (around the
> globe), other icons inherit the colour of the panel behind instead --
> currently a light grey for me. I'll follow up the bug with a little screen
> shot attachment to make the problem clear.

 This should have been fixed in upstream version 2.15.92 with these
 changes:

2006-08-10  Vincent Untz  <vuntz@gnome.org>

        Make transparent icons in the notification area.
        Based on patch by Frédéric Crozat <fcrozat@mandriva.com> and
        Dan Winship <danw@novell.com>
        Fix bug #100600

        * main.c: keep a hash table associating the icon to the tray it's
        currently in
        (get_tray): new, to get the tray to use on a screen
        (force_redraw): new, to force a redraw of the whole notification area
        (tray_added): updated, and force a redraw so all icons get the correct
        background, add the icon to the hash table
        (tray_removed): force a redraw to update the background, remove the
        icon from the hash table
        (update_size_and_orientation): force redraw
        (applet_change_background): new, ditto
        (free_tray): destroy the hash table if we release the manager
        selection
        (applet_factory): create hash table when it makes sense, connect to
        the background changed signal
        * na-tray-manager.c: (na_tray_manager_make_socket_transparent): new
        (na_tray_manager_make_socket_style_set): new, make the socket
        transparent again
        (na_tray_manager_handle_dock_request): set the socket paintable by
        application, connect to realize and style_set signals

 (There were some other fixes in 2.15.92 as well too.)

 Bye,

-- 
Loïc Minier



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 19:22:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:15:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.